## hamlib 1.2.11

=== debian/changelog ===
hamlib (1.2.11-1) unstable; urgency=low

  * New upstream release.
  * Enable Perl and Python bindings (now off by default upstream).
  * Do not use bundled libltdl (CVE-2009-3736).
  * Fix invalid reference to LOCALMODLIBS in macros/ac_python_devel.m4.
  * Fix python-hamlib2 package install paths.
  * DM-Upload-Allowed set to grant upload rights to listed Debian Maintainers.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update config.guess, config.sub (Closes: #543465)

 -- Kamal Mostafa <kamal@whence.com>  Wed, 09 Jun 2010 13:54:08 -0700

hamlib (1.2.10-3) unstable; urgency=low

  * Cherry-pick fixes from upstream svn:
    - Icom PCR100, PCR1000, PCR1500 module [Alessandro Zummo] (LP: #483925)
    - prevent spurious "consider relinking" warnings [Kamal Mostafa]
  * Fix some lintian warnings.

 -- Kamal Mostafa <kamal@whence.com>  Wed, 10 Mar 2010 12:13:07 -0800

hamlib (1.2.10-2) unstable; urgency=low

  * Install omitted modules: rs, spid (Closes: #571180, LP: #526813).
  * Cherry-pick Yaesu FT-767GX frequency fix (Closes: #571175, LP: #526749)
    - upstream trunk svn revision 2766 [Steve Conklin].
  * Add package Homepage: http://www.hamlib.org/.
  * Fix some lintian warnings.

 -- Kamal Mostafa <kamal@whence.com>  Tue, 23 Feb 2010 19:04:51 -0800

hamlib (1.2.10-1) unstable; urgency=low

  * New upstream release.
  * New maintainer: Kamal Mostafa <kamal@whence.com> (Closes: #556098).
  * Use system libltdl not old internal copy (Closes: #559814):
    - Build-depend on libltdl3-dev
    - configure, Makefile.am, Makefile.in: skip internal libltdl build
  * Enable hamlib USB support: configure with LIBUSB_LIBS predefined.
  * Enable hamlib Tcl bindings: configure with --enable-tcl-binding.
  * Debian Standards-Version bump to 3.8.4.
  * Python 2.6 transition [Michael Bienia <geser@ubuntu.com>].

 -- Kamal Mostafa <kamal@whence.com>  Tue, 16 Feb 2010 18:56:10 -0800

hamlib (1.2.9-2) unstable; urgency=low

  * Retiring - set the package maintainer to Debian QA Group.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 01 Nov 2009 19:30:20 +0000

hamlib (1.2.9-1) unstable; urgency=low

  * New upstream release.
  * Fix some lintian warnings.
  * Correct the installation path for libhamlib2-tcl.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 25 Mar 2009 19:00:54 +0100

hamlib (1.2.8-1) unstable; urgency=low

  * New upstream release. Closes: #263478, #258692. 

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 17 Nov 2008 11:21:21 +0100

hamlib (1.2.7.1-1) unstable; urgency=low

  * New upstream release

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 08 May 2008 21:34:49 +0200

hamlib (1.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 17 Feb 2008 17:06:36 +0100

hamlib (1.2.6.2-6) unstable; urgency=low

  * Add a ${perl:Depends} to the perl binary module. Closes: #463095.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 09 Feb 2008 21:29:28 +0100

hamlib (1.2.6.2-5) unstable; urgency=low

  * Thanks to Josselin Mouette for sending me the required python
    fixes patch. Closes: #460111.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 20 Jan 2008 19:35:28 +0100

hamlib (1.2.6.2-4.1) UNRELEASED; urgency=low

  * Build the package for all python versions.

 -- Josselin Mouette <joss@debian.org>  Sun, 20 Jan 2008 12:15:59 +0100

hamlib (1.2.6.2-4) unstable; urgency=low

  * Build against tcl8.5-dev. Hopefully this will fix building on hppa.
  * libhamlib-doc should be arch: all. Thanks Hamish. Closes: #458793.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 06 Jan 2008 21:25:53 +0100

hamlib (1.2.6.2-3) unstable; urgency=low

  * Run 'make distclean' instead of 'make clean'.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 29 Nov 2007 19:46:28 +0100

hamlib (1.2.6.2-2) unstable; urgency=low

  * From Ubuntu hardy: Remove bytecompiled modules from the python-libhamlib2 
    package, in debian/rules: change rm to remove Hamlib.py? instead of
    only Hamlib.pyc.
  * Add -ppython-libhamlib2 to dh_pysupport call.
  * Thanks Cesare Tirabassi <norsetto@ubuntu.com>.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 27 Nov 2007 20:12:51 +0100

hamlib (1.2.6.2-1) unstable; urgency=low

  * New upstream release.
  * Make python 2.4 only the minimum version.
  * Remove "@PYTHON_LDFLAGS@" from bindings/Makefile.am, so we
    don't link with python. Closes: #445382.
  * Some lintian fixes.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 26 Nov 2007 20:58:35 +0100

hamlib (1.2.6.1-1) unstable; urgency=low

  * New upstream release

 -- Joop Stakenborg <pa3aba@debian.org>  Sun,  4 Feb 2007 19:44:37 +0100

hamlib (1.2.6-1) unstable; urgency=low

  * New upstream.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 31 Jan 2007 19:55:12 +0100

hamlib (1.2.5-8) unstable; urgency=high

  * Change pyversions to 2.4.
  * Install python modules in /usr/share/python-support/python-libhamlib2,
    so python can find them.
  * This fixes an RC bug, so set urgency high.
  * Closes: #406991.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 21 Jan 2007 19:22:23 +0100

hamlib (1.2.5-7.1) unstable; urgency=low

  * NMU.
  * Drop explicit dependency on python2.3.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Oct 2006 02:20:23 +0200

hamlib (1.2.5-7) unstable; urgency=low

  * Update to new python policy
  * Update standards version 3.7.2
  * This work by Barry deFreese of Ubuntu, thanks! Closes: #379191.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 25 Jul 2006 10:16:19 +0200

hamlib (1.2.5-6) unstable; urgency=low

  * Make sure the tcltest.tcl script works.
  * Remove config.status, libltdl/config.status when cleaning.
  * Fix a spelling error in the control file. Closes: #363632.
  * Make sure we don't have -Xtcl when running dpkg-shlibdeps, so the
    depends line for the tcl package gets created correctly.
  * TODO.Debian added for future work.
  * Do not use hamlib4, use libhamlib2. Closes: #364222.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 23 Apr 2006 10:10:07 +0200


