=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/python/python.mk
PY_INTERPRETER=/usr/bin/python
PYVERS=$(shell pyversions -vr)
PYDEFAULT=$(shell pyversions -vd)

perlversion = `perl -V:version|cut -d\' -f2`

configure: $(PYVERS:%=build-%/configure-stamp)
build-%/configure-stamp:
	dh_testdir
	mkdir build-$*
	cd build-$* && \
	    PYTHON=/usr/bin/python$* \
	    LIBUSB_LIBS=-lusb \
	    ../configure \
		--prefix=/usr --mandir=\$${prefix}/share/man \
		--with-perl-binding \
		--with-python-binding \
		--enable-tcl-binding
	touch $@

build: $(PYVERS:%=build-%/build-stamp) build-doc-stamp
build-%/build-stamp: build-%/configure-stamp
	$(MAKE) -C build-$*
	touch $@

build-doc-stamp: build-$(PYDEFAULT)/configure-stamp
	$(MAKE) -C build-$(PYDEFAULT)/doc doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf build-*
	dh_clean

install: build install-base $(PYVERS:%=install-%) install-other
install-base:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) -C build-$(PYDEFAULT) install DESTDIR=$(CURDIR)/debian/tmp

install-%: build-%/build-stamp
	# Move the appropriate files into the python package
	make -C build-$*/bindings install DESTDIR=$(CURDIR)/debian/tmp
	rm $(CURDIR)/debian/tmp/$(call py_libdir,$*)/Hamlib.py?
	mkdir -p $(CURDIR)/debian/python-libhamlib2/$(call py_libdir,$*)
	mv $(CURDIR)/debian/tmp/$(call py_libdir,$*)/* $(CURDIR)/debian/python-libhamlib2/$(call py_libdir,$*)

install-other:
	# Move the appropriate files into the perl package and do some cleanups
	mv $(CURDIR)/debian/tmp/usr/lib/perl/$(perlversion)/* \
		$(CURDIR)/debian/libhamlib2-perl/usr/lib/perl5
	rm -f $(CURDIR)/debian/libhamlib2-perl/usr/lib/perl5/auto/Hamlib/.packlist
	rm -f $(CURDIR)/debian/libhamlib2-perl/usr/lib/perl5/auto/Hamlib/Hamlib.bs
	rm -f $(CURDIR)/debian/libhamlib2-perl/usr/lib/perl5/perllocal.pod
	cp $(CURDIR)/bindings/perltest.pl \
		$(CURDIR)/debian/libhamlib2-perl/usr/share/doc/libhamlib2-perl/

	# Move the appropriate files into the documentation package..
	cp -r $(CURDIR)/build-$(PYDEFAULT)/doc/html/* \
		$(CURDIR)/debian/libhamlib-doc/usr/share/doc/hamlib-doc/html
	# libhamlib2, libhamlib-dev, libhamlib2++c2, libhamlib++-dev,
	# libhamlib-utils and libhamlib2-tcl files handled by dh_install
	dh_install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot

	dh_installdocs -X INSTALL -X ChangeLog
	dh_installchangelogs
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl

	: # Replace all '#!' calls to python with $(PY_INTERPRETER)
	: # and make them executable
	for i in `find debian/python-* -type f`; do \
	  sed '1s,#!.*python[^ ]*\(.*\),#! $(PY_INTERPRETER)\1,' \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done

	dh_pysupport -ppython-libhamlib2
	dh_makeshlibs -V -Xalinco -Xaor -Xdrake -Xdummy -Xeasycomm -Xflexradio \
	-Xfodtrack -Xgs232a -Xicom -Xjrc -Xkachina -Xkenwood -Xkit -Xlowe \
	-Xmicrotune -Xpcr -Xracal -Xrft -Xrotorez -Xrpc -Xsartek -Xskanti \
	-Xtapr -Xtentec -Xtuner -Xuniden -Xwinradio -Xyaesu -Xkit -Xracal \
	-Xscanti -Xwj -Xtuner -Xrs -Xspid -Xars -Xm2
	dh_installdeb
	dh_shlibdeps -Xalinco -Xaor -Xdrake -Xdummy -Xeasycomm -Xflexradio \
	-Xfodtrack -Xgs232a -Xicom -Xjrc -Xkachina -Xkenwood -Xkit -Xlowe \
	-Xmicrotune -Xpcr -Xracal -Xrft -Xrotorez -Xrpc -Xsartek -Xskanti \
	-Xtapr -Xtentec -Xtuner -Xuniden -Xwinradio -Xyaesu -Xkit -Xracal \
	-Xscanti -Xwj -Xtuner -Xrs -Xspid -Xars -Xm2
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
