## hamlib 1.2.12

=== debian/changelog ===
hamlib (1.2.12-1) unstable; urgency=low

  * New upstream release.
  * Do not use bundled libltdl (CVE-2009-3736).
  * Install udev 59-hamlib.rules for embedded USB converters (closes: #595525)
  * Debian Standards-Version bump to 3.9.1.

 -- Kamal Mostafa <kamal@whence.com>  Sat, 04 Sep 2010 14:39:38 -0700
