=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>> 5.0.37.2), doxygen, swig, libperl-dev, python-all-dev (>= 2.3.5-11), tcl8.5-dev, libusb-dev, python-support (>= 0.3), libltdl3-dev
 Build-Conflicts: hamlib-dev (<= 1.2.5-3)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 XS-Python-Version: >= 2.4
 Homepage: http://www.hamlib.org/
