## hamlib 1.2.13

=== debian/changelog ===
hamlib (1.2.13-1) unstable; urgency=low

  * New upstream release
    - new backend: prm80
    - hamlib-* backend libraries moved into /usr/lib/hamlib/
    - removed bundled libltdl
  * Clean up libusb config
  * Add Build-depends: libltdl3-dev pkg-config

 -- Kamal Mostafa <kamal@whence.com>  Sat, 12 Mar 2011 10:55:53 -0800
