=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: hamradio
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Jaime Robles <jaime@debian.org>, Kamal Mostafa <kamal@whence.com>
+Uploaders: Kamal Mostafa <kamal@whence.com>, Jaime Robles <jaime@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>> 5.0.37.2), doxygen, swig, libperl-dev, python-all-dev (>= 2.3.5-11), tcl8.5-dev, libusb-dev, python-support (>= 0.3), libltdl3-dev
+Build-Depends: debhelper (>> 5.0.37.2), pkg-config, doxygen, swig, libperl-dev, python-all-dev (>= 2.3.5-11), tcl8.5-dev, libusb-dev, python-support (>= 0.3), libltdl3-dev
 Build-Conflicts: hamlib-dev (<= 1.2.5-3)
 Standards-Version: 3.9.1
 XS-Python-Version: >= 2.4
