=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,6 @@
 	mkdir build-$*
 	cd build-$* && \
 	    PYTHON=/usr/bin/python$* \
-	    LIBUSB_LIBS=-lusb \
 	    ../configure \
 		--prefix=/usr --mandir=\$${prefix}/share/man \
 		--with-perl-binding \
@@ -109,13 +108,13 @@
 	-Xfodtrack -Xgs232a -Xicom -Xjrc -Xkachina -Xkenwood -Xkit -Xlowe \
 	-Xmicrotune -Xpcr -Xracal -Xrft -Xrotorez -Xrpc -Xsartek -Xskanti \
 	-Xtapr -Xtentec -Xtuner -Xuniden -Xwinradio -Xyaesu -Xkit -Xracal \
-	-Xscanti -Xwj -Xtuner -Xrs -Xspid -Xars -Xm2
+	-Xscanti -Xwj -Xtuner -Xrs -Xspid -Xars -Xm2 -Xprm80
 	dh_installdeb
 	dh_shlibdeps -Xalinco -Xaor -Xdrake -Xdummy -Xeasycomm -Xflexradio \
 	-Xfodtrack -Xgs232a -Xicom -Xjrc -Xkachina -Xkenwood -Xkit -Xlowe \
 	-Xmicrotune -Xpcr -Xracal -Xrft -Xrotorez -Xrpc -Xsartek -Xskanti \
 	-Xtapr -Xtentec -Xtuner -Xuniden -Xwinradio -Xyaesu -Xkit -Xracal \
-	-Xscanti -Xwj -Xtuner -Xrs -Xspid -Xars -Xm2
+	-Xscanti -Xwj -Xtuner -Xrs -Xspid -Xars -Xm2 -Xprm80
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
