## hamlib 1.2.13.1

=== debian/changelog ===
hamlib (1.2.13.1-1) unstable; urgency=low

  * New upstream release
    - fix K3 antenna selection function

 -- Kamal Mostafa <kamal@whence.com>  Sun, 29 May 2011 09:00:10 -0700
