## hamlib 1.2.14

=== debian/changelog ===
hamlib (1.2.14-1) unstable; urgency=low

  * New upstream release:
    - new models: SigFox Transfox, TH-D72A, IC-7410, IC-9100, IC-R9500,
      KX3, V4L2 API support (untested)
    - new rotator backends: IF-100 (amsat), TS-7400 (ts7400)
  * debian/libhamlib2++c2.install: use wildcard for .so version.
  * debian/copyright: state explicit GPL/LGPL versions.

 -- Kamal Mostafa <kamal@whence.com>  Sun, 31 Jul 2011 10:02:32 -0700

hamlib (1.2.13.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621247).

 -- Luk Claes <luk@debian.org>  Mon, 13 Jun 2011 14:49:26 +0200
