=== debian/rules ===
--- 
+++ 
@@ -108,13 +108,13 @@
 	-Xfodtrack -Xgs232a -Xicom -Xjrc -Xkachina -Xkenwood -Xkit -Xlowe \
 	-Xmicrotune -Xpcr -Xracal -Xrft -Xrotorez -Xrpc -Xsartek -Xskanti \
 	-Xtapr -Xtentec -Xtuner -Xuniden -Xwinradio -Xyaesu -Xkit -Xracal \
-	-Xscanti -Xwj -Xtuner -Xrs -Xspid -Xars -Xm2 -Xprm80
+	-Xscanti -Xwj -Xtuner -Xrs -Xspid -Xars -Xm2 -Xprm80 -Xamsat -Xts7400
 	dh_installdeb
 	dh_shlibdeps -Xalinco -Xaor -Xdrake -Xdummy -Xeasycomm -Xflexradio \
 	-Xfodtrack -Xgs232a -Xicom -Xjrc -Xkachina -Xkenwood -Xkit -Xlowe \
 	-Xmicrotune -Xpcr -Xracal -Xrft -Xrotorez -Xrpc -Xsartek -Xskanti \
 	-Xtapr -Xtentec -Xtuner -Xuniden -Xwinradio -Xyaesu -Xkit -Xracal \
-	-Xscanti -Xwj -Xtuner -Xrs -Xspid -Xars -Xm2 -Xprm80
+	-Xscanti -Xwj -Xtuner -Xrs -Xspid -Xars -Xm2 -Xprm80 -Xamsat -Xts7400
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
