## hamlib 1.2.15

=== debian/changelog ===
hamlib (1.2.15-1) unstable; urgency=low

  * New upstream release:
    - New models: TT-599 Eagle, IC-RX7, IC-1275, HiQSDR, ADAT ADT-200A,
      DttSP UDP, TM-D710
    - New rotator backends: Celestron (telescope mount)
    - Fixes and features: K3, various other rigs
    - Update LGPL/GPL header boilerplate
    - Quell various compiler errors
    - Add CM108 PTT capability
  * debian/rules:
    - binary-arch targets do not build libhamlib-doc package
    - add targets build-arch, build-indep

 -- Kamal Mostafa <kamal@whence.com>  Fri, 03 Feb 2012 14:07:54 -0800
