=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,9 @@
 		--enable-tcl-binding
 	touch $@
 
-build: $(PYVERS:%=build-%/build-stamp) build-doc-stamp
+build: build-arch build-indep
+build-arch: $(PYVERS:%=build-%/build-stamp)
+build-indep: build-doc-stamp
 build-%/build-stamp: build-%/configure-stamp
 	$(MAKE) -C build-$*
 	touch $@
@@ -38,7 +40,7 @@
 	rm -rf build-*
 	dh_clean
 
-install: build install-base $(PYVERS:%=install-%) install-other
+install: build install-base $(PYVERS:%=install-%) install-other install-indep
 install-base:
 	dh_testdir
 	dh_testroot
@@ -64,23 +66,32 @@
 	rm -f $(CURDIR)/debian/libhamlib2-perl/usr/lib/perl5/perllocal.pod
 	cp $(CURDIR)/bindings/perltest.pl \
 		$(CURDIR)/debian/libhamlib2-perl/usr/share/doc/libhamlib2-perl/
-
-	# Move the appropriate files into the documentation package..
-	cp -r $(CURDIR)/build-$(PYDEFAULT)/doc/html/* \
-		$(CURDIR)/debian/libhamlib-doc/usr/share/doc/hamlib-doc/html
 	# libhamlib2, libhamlib-dev, libhamlib2++c2, libhamlib++-dev,
 	# libhamlib-utils and libhamlib2-tcl files handled by dh_install
 	dh_install
 
+install-indep:
+	# Move the appropriate files into the documentation package..
+	cp -r $(CURDIR)/build-$(PYDEFAULT)/doc/html/* \
+		$(CURDIR)/debian/libhamlib-doc/usr/share/doc/hamlib-doc/html
+
 # Build architecture-independent files here.
-binary-indep: build install
-# We have nothing to do by default.
+binary-indep: build-indep install-base install-indep
+	dh_testdir
+	dh_testroot
+	dh_installdocs -X INSTALL -X ChangeLog
+	dh_installchangelogs
+	dh_compress
+	dh_fixperms
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
 
 # Build architecture-dependent files here.
-binary-arch: build install
+binary-arch: build-arch install-base $(PYVERS:%=install-%) install-other
 	dh_testdir
 	dh_testroot
-
 	dh_installdocs -X INSTALL -X ChangeLog
 	dh_installchangelogs
 #	dh_link
@@ -104,20 +115,22 @@
 	done
 
 	dh_pysupport -ppython-libhamlib2
-	dh_makeshlibs -V -Xalinco -Xaor -Xdrake -Xdummy -Xeasycomm -Xflexradio \
+	dh_makeshlibs -a -V -Xalinco -Xaor -Xdrake -Xdummy -Xeasycomm -Xflexradio \
 	-Xfodtrack -Xgs232a -Xicom -Xjrc -Xkachina -Xkenwood -Xkit -Xlowe \
 	-Xmicrotune -Xpcr -Xracal -Xrft -Xrotorez -Xrpc -Xsartek -Xskanti \
 	-Xtapr -Xtentec -Xtuner -Xuniden -Xwinradio -Xyaesu -Xkit -Xracal \
-	-Xscanti -Xwj -Xtuner -Xrs -Xspid -Xars -Xm2 -Xprm80 -Xamsat -Xts7400
-	dh_installdeb
-	dh_shlibdeps -Xalinco -Xaor -Xdrake -Xdummy -Xeasycomm -Xflexradio \
+	-Xscanti -Xwj -Xtuner -Xrs -Xspid -Xars -Xm2 -Xprm80 -Xamsat -Xts7400 \
+	-Xadat -Xcelestron
+	dh_installdeb -a
+	dh_shlibdeps -a -Xalinco -Xaor -Xdrake -Xdummy -Xeasycomm -Xflexradio \
 	-Xfodtrack -Xgs232a -Xicom -Xjrc -Xkachina -Xkenwood -Xkit -Xlowe \
 	-Xmicrotune -Xpcr -Xracal -Xrft -Xrotorez -Xrpc -Xsartek -Xskanti \
 	-Xtapr -Xtentec -Xtuner -Xuniden -Xwinradio -Xyaesu -Xkit -Xracal \
-	-Xscanti -Xwj -Xtuner -Xrs -Xspid -Xars -Xm2 -Xprm80 -Xamsat -Xts7400
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	-Xscanti -Xwj -Xtuner -Xrs -Xspid -Xars -Xm2 -Xprm80 -Xamsat -Xts7400 \
+	-Xadat -Xcelestron
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
