## hamlib 1.2.15.1

=== debian/changelog ===
hamlib (1.2.15.1-1) unstable; urgency=low

  * New upstream release:
    - HD-1780 rotor endpoint limit fix
    - Quell adat compile warnings
    - Sort rig/rot list output from rig/rotctl (-l) by model #
    - TenTec Jupiter (TT538) fixes
    - Include various backend notes files
    - Document sorted -l output for <rig|rot>ctl[d]
    - Updates README.betatester and README.developer
  * Debian packaging:
    - bump Standards-Version to 3.9.3
    - convert debian/copyright to copyright-format 1.0
  * Note: The previous rev (1.2.15) upstream tarball was accidentally
      constructed on Debian unstable, but this rev on Debian stable,
      resulting in many reverts in auto-generated files.

 -- Kamal Mostafa <kamal@whence.com>  Sun, 11 Mar 2012 17:36:03 -0700
