=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Kamal Mostafa <kamal@whence.com>, Jaime Robles <jaime@debian.org>
 Build-Depends: debhelper (>> 5.0.37.2), pkg-config, doxygen, swig, libperl-dev, python-all-dev (>= 2.3.5-11), tcl8.5-dev, libusb-dev, python-support (>= 0.3), libltdl3-dev
 Build-Conflicts: hamlib-dev (<= 1.2.5-3)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 XS-Python-Version: >= 2.4
 Homepage: http://www.hamlib.org/
