## hamlib 1.2.15.1-1maemo1

=== debian/changelog ===
hamlib (1.2.15.1-1maemo1) unstable; urgency=low

  * First maemo build

 -- Xes <xes.maemo@gmail.com>  Tue, 03 Jun 2014 7:13:03 +0200
