=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,18 @@
 #!/usr/bin/make -f
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
+
+#PATH := /usr/bin:$(PATH)
+#SBOX_REDIRECT_IGNORE := /usr/bin/perl:perl:$(SBOX_REDIRECT_IGNORE)
+#export PATH SBOX_REDIRECT_IGNORE
 
 include /usr/share/python/python.mk
 PY_INTERPRETER=/usr/bin/python
 PYVERS=$(shell pyversions -vr)
 PYDEFAULT=$(shell pyversions -vd)
 
-perlversion = `perl -V:version|cut -d\' -f2`
+perlversion = `/usr/bin/perl -V:version|cut -d\' -f2`
 
 configure: $(PYVERS:%=build-%/configure-stamp)
 build-%/configure-stamp:
@@ -20,6 +24,7 @@
 		--prefix=/usr --mandir=\$${prefix}/share/man \
 		--with-perl-binding \
 		--with-python-binding \
+		--with-rigmatrix \
 		--enable-tcl-binding
 	touch $@
 
@@ -59,7 +64,9 @@
 
 install-other:
 	# Move the appropriate files into the perl package and do some cleanups
-	mv $(CURDIR)/debian/tmp/usr/lib/perl/$(perlversion)/* \
+#	mv $(CURDIR)/debian/tmp/usr/lib/perl/$(perlversion)/* \
+#		$(CURDIR)/debian/libhamlib2-perl/usr/lib/perl5
+	mv $(CURDIR)/debian/tmp/usr/lib/perl5/site_perl/5.*/i686-linux-thread-multi/* \
 		$(CURDIR)/debian/libhamlib2-perl/usr/lib/perl5
 	rm -f $(CURDIR)/debian/libhamlib2-perl/usr/lib/perl5/auto/Hamlib/.packlist
 	rm -f $(CURDIR)/debian/libhamlib2-perl/usr/lib/perl5/auto/Hamlib/Hamlib.bs
