## hamlib 1.2.15.1-1maemo3

=== debian/changelog ===
hamlib (1.2.15.1-1maemo3) unstable; urgency=low

  * Fixed optification. Again.

 -- Xes <xes.maemo@gmail.com>  Tue, 04 Jun 2014 6:10:36 +0200

hamlib (1.2.15.1-1maemo2) unstable; urgency=low

  * Fixed optification

 -- Xes <xes.maemo@gmail.com>  Tue, 04 Jun 2014 6:10:35 +0200
