=== debian/rules ===
--- 
+++ 
@@ -92,6 +92,9 @@
 	dh_fixperms
 	dh_installdeb -i
 	dh_gencontrol -i
+#ifneq (,$(findstring armel,$(DEB_BUILD_ARCH)))
+#	maemo-optify
+#endif
 	dh_md5sums -i
 	dh_builddeb -i
 
@@ -136,6 +139,9 @@
 	-Xscanti -Xwj -Xtuner -Xrs -Xspid -Xars -Xm2 -Xprm80 -Xamsat -Xts7400 \
 	-Xadat -Xcelestron
 	dh_gencontrol -a
+ifneq (,$(findstring armel,$(DEB_BUILD_ARCH)))
+	maemo-optify
+endif
 	dh_md5sums -a
 	dh_builddeb -a
