## hamlib 1.2.15.2

=== debian/changelog ===
hamlib (1.2.15.2-2) unstable; urgency=low

  * Debian:
    - rules: fix build for older dpkg-buildflags versions

 -- Kamal Mostafa <kamal@whence.com>  Tue, 21 Aug 2012 15:15:14 -0700

hamlib (1.2.15.2-1) unstable; urgency=low

  * New upstream release:
    - Read eeprom value for digital mode from FT-857
    - Clean up TS-950 series commands and read mode using IF command
    - Fix GS-232A/B rotor command terminations
    - Fix warnings and other issues found by mingw-w64
    - Allow seamless access to ports higher than COM9 on Windows
    - Fix ineffective packed attribute on WinRadio
    - Correct low signal strength S-meter error on AR7030+
    - Updates to HiQSDR by Jim, N2ADR
  * Debian:
    - add debian/patches/fix-ac-python-devel-trashes-CPPFLAGS.patch
    - enable build hardening flags (but still a few W-dpkg-buildflags-missing)

 -- Kamal Mostafa <kamal@whence.com>  Tue, 21 Aug 2012 13:42:59 -0700
