## hamlib 1.2.15.3

=== debian/changelog ===
hamlib (1.2.15.3-3.1build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 01:13:15 +0000

hamlib (1.2.15.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-python. Closes: #786284.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Aug 2015 19:06:21 +0200

hamlib (1.2.15.3-3) unstable; urgency=medium

  * Fix Homepage URL
  * Bump Standards-version to 3.9.6
  * Don't create empty /usr/lib/perl5 directory (Closes: #757836)
    patch from gregor herrmann <gregoa@debian.org>
  * Make builds reproducible by removing $datetime from doc/footer.html
    patch from Maria Valentina Marin <marivalenm@gmail.com> (Closes: #788344)
  * Fix Hyphens in man pages

 -- Colin Tuckley <colint@debian.org>  Sat, 13 Jun 2015 10:10:00 +0100

hamlib (1.2.15.3-2) unstable; urgency=medium

  * Fix "hardcodes /usr/lib/perl5":
    - add a patch to make the perl build system respect vendor dirs
    - use dynamic perl path from $Config{vendorarch} in debian/rules
    (Closes: #752475) [ Thanks, gregor herrmann! ]
  * Replace deprecated udev rules ACL_MANAGE method with uaccess method
    (Closes: #747036)
  * Fix missing libhamlib++-dev Depends: on libhamlib2++c2 (Closes: #715084)
  * Replace deprecated dh_pysupport with dh_python2 in debian/rules
  * Passed multiarch Tcl location to configure, fixing Ubuntu FTBFS
    [ Thanks, Daniel T Chen! ]
  * Use dh-autoreconf to update config.{sub,guess} [ Thanks, William Grant! ]
  * Bump Standards-version to 3.9.5

 -- Kamal Mostafa <kamal@whence.com>  Tue, 08 Jul 2014 10:43:00 -0700

hamlib (1.2.15.3-1) unstable; urgency=low

  * New upstream release:
    - Fix configure.ac so that rigctld/rotcld work on Win32 platform
    - Add NSIS script to build executable installer on Win32 platform
    - Remove unsupported commands on IC-756 (non-Pro model) from AK6I
    - Fix set_split in netrigctl.c to properly accept the split value.
      TNX, N2ADR.
    - IC-R8500: Add RIG_LEVEL_AF to has_set_level. TNX John, EI7IG
    - ADAT updates from Frank, DG1SBG, needed for stable operation. 

 -- Kamal Mostafa <kamal@whence.com>  Fri, 02 Nov 2012 12:14:43 -0700
