=== debian/rules ===
--- 
+++ 
@@ -1,31 +1,36 @@
 #!/usr/bin/make -f
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
-
-#PATH := /usr/bin:$(PATH)
-#SBOX_REDIRECT_IGNORE := /usr/bin/perl:perl:$(SBOX_REDIRECT_IGNORE)
-#export PATH SBOX_REDIRECT_IGNORE
+#export DH_VERBOSE=1
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 include /usr/share/python/python.mk
 PY_INTERPRETER=/usr/bin/python
 PYVERS=$(shell pyversions -vr)
 PYDEFAULT=$(shell pyversions -vd)
 
-perlversion = `/usr/bin/perl -V:version|cut -d\' -f2`
+PERL_ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')
+
+# enable hardening flags (for debian/compat<9):
+configure_flags += $(shell f=`dpkg-buildflags --export=configure` && echo $$f)
+
+# force verbose build to allow log checkers to work:
+configure_flags += --disable-silent-rules
 
 configure: $(PYVERS:%=build-%/configure-stamp)
 build-%/configure-stamp:
 	dh_testdir
+	dh_autoreconf
 	mkdir build-$*
 	cd build-$* && \
 	    PYTHON=/usr/bin/python$* \
 	    ../configure \
+		$(configure_flags) \
 		--prefix=/usr --mandir=\$${prefix}/share/man \
 		--with-perl-binding \
 		--with-python-binding \
-		--with-rigmatrix \
-		--enable-tcl-binding
+		--enable-tcl-binding \
+		--with-tcl=/usr/lib/"$(DEB_HOST_MULTIARCH)"/tcl8.5
 	touch $@
 
 build: build-arch build-indep
@@ -43,6 +48,7 @@
 	dh_testdir
 	dh_testroot
 	rm -rf build-*
+	dh_autoreconf_clean
 	dh_clean
 
 install: build install-base $(PYVERS:%=install-%) install-other install-indep
@@ -64,13 +70,7 @@
 
 install-other:
 	# Move the appropriate files into the perl package and do some cleanups
-#	mv $(CURDIR)/debian/tmp/usr/lib/perl/$(perlversion)/* \
-#		$(CURDIR)/debian/libhamlib2-perl/usr/lib/perl5
-	mv $(CURDIR)/debian/tmp/usr/lib/perl5/site_perl/5.*/i686-linux-thread-multi/* \
-		$(CURDIR)/debian/libhamlib2-perl/usr/lib/perl5
-	rm -f $(CURDIR)/debian/libhamlib2-perl/usr/lib/perl5/auto/Hamlib/.packlist
-	rm -f $(CURDIR)/debian/libhamlib2-perl/usr/lib/perl5/auto/Hamlib/Hamlib.bs
-	rm -f $(CURDIR)/debian/libhamlib2-perl/usr/lib/perl5/perllocal.pod
+	dh_install -plibhamlib2-perl --sourcedir=$(CURDIR)/debian/tmp $(PERL_ARCHLIB)
 	cp $(CURDIR)/bindings/perltest.pl \
 		$(CURDIR)/debian/libhamlib2-perl/usr/share/doc/libhamlib2-perl/
 	# libhamlib2, libhamlib-dev, libhamlib2++c2, libhamlib++-dev,
@@ -92,9 +92,6 @@
 	dh_fixperms
 	dh_installdeb -i
 	dh_gencontrol -i
-#ifneq (,$(findstring armel,$(DEB_BUILD_ARCH)))
-#	maemo-optify
-#endif
 	dh_md5sums -i
 	dh_builddeb -i
 
@@ -124,7 +121,7 @@
 	  fi; \
 	done
 
-	dh_pysupport -ppython-libhamlib2
+	dh_python2 -ppython-libhamlib2
 	dh_makeshlibs -a -V -Xalinco -Xaor -Xdrake -Xdummy -Xeasycomm -Xflexradio \
 	-Xfodtrack -Xgs232a -Xicom -Xjrc -Xkachina -Xkenwood -Xkit -Xlowe \
 	-Xmicrotune -Xpcr -Xracal -Xrft -Xrotorez -Xrpc -Xsartek -Xskanti \
@@ -139,9 +136,6 @@
 	-Xscanti -Xwj -Xtuner -Xrs -Xspid -Xars -Xm2 -Xprm80 -Xamsat -Xts7400 \
 	-Xadat -Xcelestron
 	dh_gencontrol -a
-ifneq (,$(findstring armel,$(DEB_BUILD_ARCH)))
-	maemo-optify
-endif
 	dh_md5sums -a
 	dh_builddeb -a
